Subject: bug#58912: 29.0.50; set-face-attribute call in init.el has no lasting effect

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Nov 2022 10:38:50 +0200

> From: Po Lu <[email-masked]>
> Cc: Matt Armstrong <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 03 Nov 2022 15:17:31 +0800
> 
> I think the problem is something in the code that handles
> font-render events not working as intended: it is only supposed to cause
> all fonts displayed on all frames to be reopened.
> 
> Won't:
> 
>   (clear-face-cache t)
>   (clear-font-cache)
> 
> work for that as well?

Where can I read about the semantics of this event?  I don't think I
understand well enough what it means and how we should support it in
Emacs.

Also, any idea why we are delivered this event during startup?